title: Répertoire

options:
  move:
    - category

tabs:
  contentTab:
    label: Contenu
    sections:
      headerSection:
        type: fields
        fields:
          representativeImage:
            label: Image du représentant
            type: files
            multiple: false
            layout: cards
            width: 1/3
            help: Attention, n'importez que des images dont vous êtes propriétaire ou libres de droit.
            image:
              cover: true
              ratio: 16/9
          description:
            type: textarea
            width: 2/3
      cardsSection:
        label: Fiches
        type: pages
        templates: card
        create: card
        search: true
        layout: cardlets
        image:
          cover: true
  properties:
    label: Propriétés
    columns:
      - width: 1/3
        sections:
          helpSection:
            label: Info
            type: info
            text: |
              **Les propriétés décident des champs qui seront à remplir par les auteurs et autrices des fiches contenues dans ce répertoire.**  

              Doivent-ils ou elles renseigner une localisation ? Une date ? Quelles sont les catégories dans lesquelles elles ou ils doivent ranger leur fiche ? Quels sont les noms des champs de métadonnées qu'ils ou elles doivent remplir ?
      - width: 2/3
        sections:
          propertiesSection:
            type: fields
            fields:
              isContributive:
                label: Répertoire contributif ?
                type: toggle
                default: true
                width: 1/3
                help: |
                  On : active le bouton "Proposer une fiche".
              enableLocation:
                label: Activer la vue carte
                type: toggle
                default: false
                width: 1/3
              enableDate:
                label: Activer la vue agenda
                default: false
                type: toggle
                width: 1/3
              categories:
                type: structure
                help: Permet de filtrer les fiches du répertoire.
                fields:
                  name:
                    label: Nom
                    type: text
                    width: 1/3
                  tags:
                    type: tags
                    width: 2/3
              form:
                label: Champs
                type: tags
                help: Champs de métadonnées à remplir ensuite librement dans chaque fiche.
  meta: tabs/meta/page
